Subject: Re: My git repo is broken, how to fix it ?

From: Alexander Litvinov <[email-masked]>
Date: Mon, 19 Mar 2007 19:32:26 +0600

В сообщении от Wednesday 28 February 2007 22:19 Linus Torvalds написал(a):
> On Wed, 28 Feb 2007, Alexander Litvinov wrote:
> > Thanks for answer. I have found this blob in cloned repo. I just copy it
> > into objects subdir and repack repo again. fsck works without any errors.
>
> Good to hear.

Hello, its me again.

It is pity but my repo was corrupted again. I have WinXP + cygwin + 
git-1.5.0-572-ge86d552. I was doing 
git-apply/git-am/git-reset/git-cvsexportcommit and broke repo somehow. I have 
two broken blobs that should be done by my recent patches.

Will try to recover them and report the result.

Is there any way to catch and solve the problem ?
Thanks for help.